# List Noise Thresholds

## List Noise Thresholds set on Device

<mark style="color:blue;">`GET`</mark> `https://connect.getseam.com/noise_sensors/noise_thresholds/list`

#### Query Parameters

| Name                                         | Type   | Description                                           |
| -------------------------------------------- | ------ | ----------------------------------------------------- |
| device\_id<mark style="color:red;">\*</mark> | String | Device id of a device the noise thresholds are set on |

#### Headers

| Name                                            | Type   | Description        |
| ----------------------------------------------- | ------ | ------------------ |
| Authorization<mark style="color:red;">\*</mark> | String | Bearer \<API\_KEY> |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
  "noise_thresholds": [
    {
      "noise_threshold_id": "792263f8-1660-4cf9-a6c6-054d23b78d86",
      "device_id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "builtin_quiet_hours",
      "noise_threshold_decibels": 70,
      "starts_daily_at": "22:00:00[America/Los_Angeles]",
      "ends_daily_at": "06:00:00[America/Los_Angeles]",
    },
    {
      "noise_threshold_id": "678ccd98-7036-402f-a42c-e66f55575566",
      "device_id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "builtin_normal_hours",
      "noise_threshold_decibels": 75,
      "starts_daily_at": "06:00:00[America/Los _Angeles]",
      "ends_daily_at": "22:00:00[America/Los_Angeles]",
    },
  ],
  "ok": true
}
```

{% endtab %}
{% endtabs %}

### Code Example

{% tabs %}
{% tab title="Python" %}

```python
seam.noise_sensors.noise_thresholds.list("123e4567-e89b-12d3-a456-426614174000")

# [
    # {
    #     "noise_threshold_id": "792263f8-1660-4cf9-a6c6-054d23b78d86",
    #     "device_id": "123e4567-e89b-12d3-a456-426614174000",
    #     "name": "builtin_quiet_hours",
    #     "noise_threshold_decibels": 70,
    #     "starts_daily_at": "22:00:00[America/Los_Angeles]",
    #     "ends_daily_at": "06:00:00[America/Los_Angeles]",
    # },
    # {
    #     "noise_threshold_id": "678ccd98-7036-402f-a42c-e66f55575566",
    #     "device_id": "123e4567-e89b-12d3-a456-426614174000",
    #     "name": "builtin_normal_hours",
    #     "noise_threshold_decibels": 75,
    #     "starts_daily_at": "06:00:00[America/Los _Angeles]",
    #     "ends_daily_at": "22:00:00[America/Los_Angeles]",
    # },
# ]
```

{% endtab %}

{% tab title="PHP" %}

```php
$seam->noise_sensors->noise_thresholds->list("123e4567-e89b-12d3-a456-426614174000")

# [
    # {
    #     "noise_threshold_id": "792263f8-1660-4cf9-a6c6-054d23b78d86",
    #     "device_id": "123e4567-e89b-12d3-a456-426614174000",
    #     "name": "builtin_quiet_hours",
    #     "noise_threshold_decibels": 70,
    #     "starts_daily_at": "22:00:00[America/Los_Angeles]",
    #     "ends_daily_at": "06:00:00[America/Los_Angeles]",
    # },
    # {
    #     "noise_threshold_id": "678ccd98-7036-402f-a42c-e66f55575566",
    #     "device_id": "123e4567-e89b-12d3-a456-426614174000",
    #     "name": "builtin_normal_hours",
    #     "noise_threshold_decibels": 75,
    #     "starts_daily_at": "06:00:00[America/Los _Angeles]",
    #     "ends_daily_at": "22:00:00[America/Los_Angeles]",
    # },
# ]
```

{% endtab %}
{% endtabs %}

### Parameters

| `device_id` | type: string | <p><br>ID of the Device the Noise Thresholds are set on</p> |
| ----------- | ------------ | ----------------------------------------------------------- |

### Response

This section shows the JSON response returned by the API. Since each language encapsulates this response inside objects specific to that language and/or implementation, the actual type in your language might differ from what’s written here.

#### JSON format

{% tabs %}
{% tab title="JSON" %}

```json
{
  "noise_thresholds": [
    {
      "noise_threshold_id": "792263f8-1660-4cf9-a6c6-054d23b78d86",
      "device_id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "builtin_quiet_hours",
      "noise_threshold_decibels": 70,
      "starts_daily_at": "22:00:00[America/Los_Angeles]",
      "ends_daily_at": "06:00:00[America/Los_Angeles]"
    },
    {
      "noise_threshold_id": "678ccd98-7036-402f-a42c-e66f55575566",
      "device_id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "builtin_normal_hours",
      "noise_threshold_decibels": 75,
      "starts_daily_at": "06:00:00[America/Los_Angeles]",
      "ends_daily_at": "22:00:00[America/Los_Angeles]"
    }
  ]
}
```

{% endtab %}
{% endtabs %}
